## mx4j.tools.adaptor.interceptor
Interface AdaptorInterceptorMBean

All Known Implementing Classes:
  AdaptorInterceptor

public interface AdaptorInterceptorMBean

Management interface for interceptors

Version:
  $Revision: 1.3 $

Method Summary
`java.lang.String` `getType()` Returns the type of this interceptor
`boolean` `isEnabled()` Returns whether this interceptor is enabled
`void` `setEnabled(boolean value)` Enables or disables this interceptor

Method Detail

### setEnabled

    public void setEnabled(boolean value)

  Enables or disables this interceptor

### isEnabled

    public boolean isEnabled()

  Returns whether this interceptor is enabled

### getType

    public java.lang.String getType()

  Returns the type of this interceptor

Copyright © 2001-2003 MX4J Team. All Rights Reserved.